com.jscape.inet.gateway.operation.administrator

## Class AdministratorData

- java.lang.Object
- - com.jscape.inet.gateway.operation.administrator.AdministratorData

-     public class AdministratorData
      extends java.lang.Object

  Author:
    Alex Usun

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `email`
    `boolean` | `enabled`
    `boolean` | `managementAllowed`
    `java.lang.String` | `name`
    `java.lang.String` | `password`
    `java.lang.String` | `username`
    `int` | `version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdministratorData()`
    `AdministratorData(java.lang.String name, java.lang.String username, java.lang.String password, java.lang.String email, boolean managementAllowed, boolean enabled, int version)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          public java.lang.String name

    - #### username

          public java.lang.String username

    - #### password

          public java.lang.String password

    - #### email

          public java.lang.String email

    - #### managementAllowed

          public boolean managementAllowed

    - #### enabled

          public boolean enabled

    - #### version

          public int version

  - ### Constructor Detail

    - #### AdministratorData

          public AdministratorData(java.lang.String name,
                                   java.lang.String username,
                                   java.lang.String password,
                                   java.lang.String email,
                                   boolean managementAllowed,
                                   boolean enabled,
                                   int version)

    - #### AdministratorData

          public AdministratorData()

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © Advanced Systems Concepts Inc. 2009-2021. All Rights Reserved